#include <stdio.h>
#include <unistd.h>
#include <sys/ioctl.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

#include "../sample_driver/sample_gpio.h"

#define BUFFER_SIZE (1024)
unsigned char buf[BUFFER_SIZE];

int 
main(int argc, char **argv)
{
	struct sample_arg arg;
	int fd;
	int i;

	/* buffer initialize */
	for (i=0; i<BUFFER_SIZE; i++)
		buf[i] = (i%2 ? 0xff : 0x00);

	fd = open("/dev/gpio", O_RDWR);
	if (fd < 0) {
		perror("open");
		return -1;
	}

	//printf("start tx... "); fflush(stdout);
	arg.buf = buf;
	arg.size = BUFFER_SIZE;
	ioctl(fd, TX_CMD, &arg);
	//printf("done\n");

	close(fd);
	return 0;
}
